piecePair.cc File Reference
`#include "osl/eval/piecePair.h"`

Go to the source code of this file.

## Namespaces

namespace | osl
namespace | osl::eval
namespace | osl::eval::ml
namespace | osl::eval::ml::ppair

## Functions

void | osl::eval::ml::ppair::makeOffsetIndex ()
int | osl::eval::ml::ppair::inv (int offset_id)
int | osl::eval::ml::ppair::swaplr (int offset_id)
int | osl::eval::ml::ppair::swapud (int offset_id)
int | osl::eval::ml::ppair::pindex (Player player, Ptype ptype)
void | osl::eval::ml::ppair::makeTable ()
void | osl::eval::ml::ppair::makeTableX ()
int | osl::eval::ml::ppair::wrap9 (int y)
void | osl::eval::ml::ppair::makeTableY ()

## Variables

CArray< int, 0x200 > | osl::eval::ml::ppair::offset_index
PiecePair::IndexTable & | osl::eval::ml::ppair::plain_table = PiecePair::plain_table
CArray< PiecePair::IndexTable, 10 > & | osl::eval::ml::ppair::x_table = PiecePair::x_table
CArray< PiecePair::IndexTable, 10 > & | osl::eval::ml::ppair::y_table = PiecePair::y_table
CArray3d< int, PTYPEO_SIZE, 12, PTYPEO_SIZE > | osl::eval::ml::ppair::x_values [10]
CArray3d< int, PTYPEO_SIZE, 12, PTYPEO_SIZE > | osl::eval::ml::ppair::y_values [10]